All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.rio
Class RIOException

    com.sas.rio.RIOException

All Implemented Interfaces:
  java.io.Serializable

    public class RIOException

Exception class for proprietary extensions to the SAS IOM Driver for JDBC.

See Also:
  Serialized Form

Constructor Summary
`RIOException(int code, java.lang.String reason)` Constructs a RIOException object.
`RIOException(MessageCode messageCode, java.lang.Object... arguments)` Use this constructor when message string has arguments
`RIOException(java.lang.String reason)` Constructs a RIOException object.

Method Summary
`int` | `getErrorCode()` Gets the exception code value.
`java.sql.SQLException` | `toSQLException()` Convert a RIOException to an equivalent SQLException.

Constructor Detail

### RIOException

    public RIOException(int code,
                        java.lang.String reason)

  Constructs a RIOException object.

  Parameters:
    `reason` - A description of the exception.
    `code` - A specific exception code.

### RIOException

    public RIOException(java.lang.String reason)

  Constructs a RIOException object.

  Parameters:
    `reason` - A description of the exception.

### RIOException

    public RIOException(MessageCode messageCode,
                        java.lang.Object... arguments)

  Use this constructor when message string has arguments

  Parameters:
    `messageCode` - the message code
    `arguments` - any arguments taken by the message

Method Detail

### getErrorCode

    public int getErrorCode()

  Gets the exception code value.

  Returns:
    the error code for this `RIOException`

### toSQLException

    public java.sql.SQLException toSQLException()

  Convert a RIOException to an equivalent SQLException.

  Returns:
    a SQLException

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.